
/* Mouse */
.stiDesignerTextArea_Mouse {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsBorderColor;    
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor;
    color: @MobileDesignerFontColor;
    resize: none;
}

.stiDesignerTextAreaOver_Mouse {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsOverBorderColor;    
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor;
    color: @MobileDesignerFontColor;
    resize: none;
}

.stiDesignerTextAreaDisabled_Mouse {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsDisabledBorderColor;    
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsDisabledBackgroundColor;  
    resize: none;
}

/* Touch */
.stiDesignerTextArea_Touch {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsBorderColor;    
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor;
    color: @MobileDesignerFontColor;
    resize: none;
}

.stiDesignerTextAreaOver_Touch {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsOverBorderColor;    
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor;
    resize: none;
}

.stiDesignerTextAreaDisabled_Touch {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsDisabledBorderColor;    
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsDisabledBackgroundColor;  
    resize: none;
}